task merge {
	Array[File] family_mendelian_info
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${sep=" " family_mendelian_info} | sort -k1,1 -k2,2n > ${family_name}.mendelian.txt

		cat ${family_name}.mendelian.txt | awk '{ if ((length($3) == 1) && (length($4) == 1)) { print } }' > ${family_name}.mendelian.snv.txt
		cat ${family_name}.mendelian.txt | awk '{ if ((length($3) != 1) || (length($4) != 1)) { print } }' > ${family_name}.mendelian.indel.txt

		python /opt/filter_indel_over_50_mendelian.py -i ${family_name}.mendelian.indel.txt -prefix ${family_name}.mendelian

		cat ${family_name}.mendelian.snv.txt | cut -f11 | sort | uniq -c | grep '1:1:1' > ${family_name}.mendelian.snv.summary.txt
		cat ${family_name}.mendelian.snv.txt | cut -f11 | sort | uniq -c | grep 'Ref:1:1' >> ${family_name}.mendelian.snv.summary.txt
		cat ${family_name}.mendelian.snv.txt | cut -f12 | sort | uniq -c | grep 'yes' >> ${family_name}.mendelian.snv.summary.txt

		cat ${family_name}.mendelian.indel.lessthan50bp.txt | cut -f11 | sort | uniq -c | grep '1:1:1' > ${family_name}.mendelian.indel.summary.txt
		cat ${family_name}.mendelian.indel.lessthan50bp.txt | cut -f11 | sort | uniq -c | grep 'Ref:1:1' >> ${family_name}.mendelian.indel.summary.txt
		cat ${family_name}.mendelian.indel.lessthan50bp.txt | cut -f12 | sort | uniq -c | grep 'yes' >> ${family_name}.mendelian.indel.summary.txt


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File family_all_info = "${family_name}.mendelian.txt"
		File snv = "${family_name}.mendelian.snv.txt"
		File indel = "${family_name}.mendelian.indel.lessthan50bp.txt"
		File family_snv = "${family_name}.mendelian.snv.summary.txt"
		File family_indel = "${family_name}.mendelian.indel.summary.txt"
	}
}
