import "./tasks/sister.wdl" as sister
import "./tasks/two_family_merge.wdl" as two_family_merge
import "./tasks/merge.wdl" as merge

workflow {{ project_name }} {
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File ref_dir
	String family_name
	String fasta
	String cluster_config
	String disk_size

	scatter (quartet in inputSamples){
		call sister.sister as sister {
			input:
			LCL5_vcf=quartet[0],
			LCL6_vcf=quartet[1],
			LCL7_vcf=quartet[2],
			LCL8_vcf=quartet[3],
			ref_dir=ref_dir,
			LCL5_name=quartet[4],
			LCL6_name=quartet[5],
			LCL7_name=quartet[6],
			LCL8_name=quartet[7],
			fasta=fasta,
			family_chromo_name=quartet[8],
			cluster_config=cluster_config,
			disk_size=disk_size
		}
		call two_family_merge.two_family_merge as two_family_merge {
			input:
			LCL5_trio_vcf=sister.D5_trio_vcf,
			LCL6_trio_vcf=sister.D6_trio_vcf,
			genotype_file=sister.family_vcf,
			family_chromo_name=quartet[8],
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}
	call merge.merge as merge {
		input:
		family_mendelian_info=two_family_merge.family_mendelian_info,
		family_name=family_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}